Bug 2168 - a more general approach to specifying conflicts with other IMAPD-pkgs
: a more general approach to specifying conflicts with other IMAPD-pkgs
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/courier-imap)
: unstable
: all Linux
: P5 enhancement
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2003-02-06 18:36 by
Modified: 2003-08-25 15:18 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2003-02-06 18:36:53
I suggest that something like this is used to specify the conflict with
alterntive pkgs which provide IMAP and POP3 daemons (like uw-imap):

###########################################
# Relations with other POP3/IMAP server pkgs (like uw-imap)

# Provide the abstract service names (which are virtual pkg names),
# specify their origin (our pkg name as the epoch + version-release):
Provides: IMAPD = %name:%version-%release
Provides: POP3D = %name:%version-%release

# Conflict with all other real pkgs which provide the same services
# (they should specify the origin the same way, so the epoch-version-release
# of the virtual pkgs POP3D & IMAPD will always differ from that of ours if 
# they are provided by a different real pkg):
Conflicts: IMAPD < %name:%version-%release
Conflicts: IMAPD > %name:%version-%release
Conflicts: POP3D < %name:%version-%release
Conflicts: POP3D > %name:%version-%release

# End of the statements to describe relations with other POP3/IMAP server pkgs
########################################

This is more general (works if there are several such pkgs, not only a pair).
This approach is already used in uw-imap-2001a-alt9 (and
emacs-gnus-21.2-alt12).
---

---
courier-imap-1.6.2-alt2
------- Comment #1 From 2003-02-11 14:48:58 -------
fixed in courier-imap-1.6.2-alt3
------- Comment #2 From 2003-02-11 14:48:58 -------
fixed in courier-imap-1.6.2-alt3